/// <reference types="node" resolution-mode="require"/>
import { type SearchParameters } from "got";
import type { ShortMessage, Message, Options } from "./types.js";
export declare const BASE_API_URL = "https://www.1secmail.com/api/v1/";
export declare const FORBIDDEN_LOGIN: string[];
export default class OneSecMailAPI {
    #private;
    readonly retry: number;
    readonly timeout: number;
    constructor(options?: Partial<Options>);
    request(searchParams: SearchParameters, options?: Partial<Options>): Promise<import("got").Response<string>>;
    genRandomMailbox(count?: number): Promise<string[]>;
    genRandomMailbox(options: Partial<Options>): Promise<string[]>;
    genRandomMailbox(count: number, options?: Partial<Options>): Promise<string[]>;
    getDomainList(options?: Partial<Options>): Promise<string[]>;
    getMessages(login: string, domain: string, options?: Partial<Options>): Promise<ShortMessage[]>;
    readMessage(login: string, domain: string, id: number, options?: Partial<Options>): Promise<Message | null>;
    download(login: string, domain: string, id: number, file: string, options?: Partial<Options>): Promise<Buffer | null>;
}
