import { z } from "zod";
export declare const shortMessageSchema: z.ZodObject<{
    id: z.ZodNumber;
    from: z.ZodString;
    subject: z.ZodString;
    date: z.ZodString;
}, "strip", z.ZodTypeAny, {
    id: number;
    from: string;
    subject: string;
    date: string;
}, {
    id: number;
    from: string;
    subject: string;
    date: string;
}>;
export declare const attachmentSchema: z.ZodObject<{
    filename: z.ZodString;
    contentType: z.ZodString;
    size: z.ZodNumber;
}, "strip", z.ZodTypeAny, {
    filename: string;
    contentType: string;
    size: number;
}, {
    filename: string;
    contentType: string;
    size: number;
}>;
export declare const messageSchema: z.ZodObject<{
    id: z.ZodNumber;
    from: z.ZodString;
    subject: z.ZodString;
    date: z.ZodString;
    attachments: z.ZodArray<z.ZodObject<{
        filename: z.ZodString;
        contentType: z.ZodString;
        size: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        filename: string;
        contentType: string;
        size: number;
    }, {
        filename: string;
        contentType: string;
        size: number;
    }>, "many">;
    body: z.ZodString;
    textBody: z.ZodString;
    htmlBody: z.ZodString;
}, "strip", z.ZodTypeAny, {
    id: number;
    from: string;
    subject: string;
    date: string;
    attachments: {
        filename: string;
        contentType: string;
        size: number;
    }[];
    body: string;
    textBody: string;
    htmlBody: string;
}, {
    id: number;
    from: string;
    subject: string;
    date: string;
    attachments: {
        filename: string;
        contentType: string;
        size: number;
    }[];
    body: string;
    textBody: string;
    htmlBody: string;
}>;
